+ Post New Thread
Page 358 of 505 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 12624

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 31,512
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 46,626
    18th Sep 2006 10:46 pm Go to last post
  1. How to pass a selected object from Lisp to VBA

    Hello, I have been struggeling with this problem for two days now so any help would be very, very much apreciated. Unfourtunatly Im a beginner in both Lisp and Autocad but not in VBA. I have...

    Started by MR_Zeroeffect‎, 15th Jun 2009 08:37 pm
    • Replies: 3
    • Views: 1,863
    16th Jun 2009 12:08 pm Go to last post
  2. Unhappy Workspace

    Making different WORKSPACE is messy...here's how, i'm working in different projects with different cad standards, libraries, support paths, PC3, plotters, CUI, etc...all these things is saved on a...

    Started by The Courage Dog‎, 16th Jun 2009 05:19 am
    • Replies: 0
    • Views: 1,166
    16th Jun 2009 05:19 am Go to last post
  3. "Undo" Drawing

    My code draws some lines etc. halfway through it gets to an "if" statement. If the answer is True then it carries on and completes. However if the answer is Nil then it exits and restores system...

    Started by Small Fish‎, 14th Jun 2009 01:26 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,409
    15th Jun 2009 09:00 pm Go to last post
  4. How to get info about LWPolyline using VBA?

    Hello, When you enter list and select a lwpolyline you get a lot of information as; bulge, center, radius, start angle, end angle etc. How can I get this information from a selected object...

    Started by MR_Zeroeffect‎, 10th Jun 2009 12:01 am
    • Replies: 2
    • Views: 1,509
    15th Jun 2009 07:40 pm Go to last post
  5. How Can I Delete Selected Items In Listbox?

    HOW CAN I REMOVE SELECTED ITEM OR ITEMS IN LISTBOX BY USING BUTTON CALLED REMOVE SELECTED?

    Started by MR MAN‎, 14th Jun 2009 07:42 am
    • Replies: 4
    • Views: 1,960
    15th Jun 2009 09:44 am Go to last post
  6. how can i make this with vba?

    i have listbox and i need make button apply any command on *.dwgs files in this listbox how can i make this with vba? thanks

    Started by MR MAN‎, 13th Jun 2009 10:08 am
    • Replies: 3
    • Views: 800
    15th Jun 2009 09:06 am Go to last post
  7. replace circles shape on layer with block

    is there any way to replace circles shape on layer with block?

    Started by MR MAN‎, 6th Apr 2009 08:26 am
    • Replies: 2
    • Views: 1,227
    15th Jun 2009 08:58 am Go to last post
  8. SS Filter

    How can I make a selection set filter that will find incorrect radius sizes after a selection is made? For example I want circles only with radi of 6.5, 12.5, 16.0. However if the circles selected...

    Started by Small Fish‎, 8th Jun 2009 03:52 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 1,730
    15th Jun 2009 03:51 am Go to last post
  9. Positive list values

    Hi how do I convert all numbers in my list to positive values? My guess is that I need to use 'abs' and 'apply' but not sure what combo. Now I'm all googled out looking for a way to do it. Anyone...

    Started by Small Fish‎, 11th Jun 2009 02:45 am
    • Replies: 6
    • Views: 1,585
    15th Jun 2009 01:05 am Go to last post
  10. Make commandbutton called plot

    how can i make a commandbutton called plot when i press on it plot setup appear to me?

    Started by MR MAN‎, 10th Jun 2009 07:31 am
    • Replies: 9
    • Views: 1,292
    14th Jun 2009 06:31 am Go to last post
  11. Opening new drawing and drawing on it via _Net

    Hi All, I am new to automating AutoCAD using VB_Net. I think I am stuck up in something which should be pretty simple. But I am not able to solve it after googling and breaking my head over it for 3...

    Started by bhairav‎, 13th Jun 2009 08:30 pm
    • Replies: 0
    • Views: 872
    13th Jun 2009 08:30 pm Go to last post
  12. List all layers and how many objects on each layer

    Hello, I am trying to put together a lisp or tool that I could list all the layers in the current DWG and how many objects are on each layer, and send it to a text file. There are plenty of...

    Started by chrisdvalentine‎, 11th Jun 2009 10:08 pm
    • Replies: 8
    • Views: 1,739
    13th Jun 2009 12:34 pm Go to last post
  13. vba program for graph in autocad

    Hello friends. I need to prepare graph sheet in autocad using VBA or Lisp program. I have attached one excel sheet with details. I have done one example graph in excel. I want the same thing in...

    Started by CHANDRA‎, 15th May 2009 09:25 am
    • Replies: 3
    • Views: 3,601
    13th Jun 2009 12:10 pm Go to last post
  14. What's Wrong In This Code

    I MAKE THAT CODE WHICH CALL MACRO BROWES FOR FOLDER I NEED DEL BAK AND LOG FILES BUT IT DOESN'T WORK ANY ONE KNOW WHERE THE ERROR MY CODE IS: Private Sub CommandButton7_Click() SsPath =...

    Started by MR MAN‎, 13th Jun 2009 11:55 am
    • Replies: 0
    • Views: 581
    13th Jun 2009 11:55 am Go to last post
  15. What I have?

    I have many text in a draw, and, i need to take ALL that text value, and put in a ".csv" file... i know how to extract, but, i'm having a problem with the "ssget" lsp cmd... (setq l1 (ssget "x"...

    Started by BlackAlnet‎, 12th Jun 2009 02:41 pm
    • Replies: 9
    • Views: 1,077
    13th Jun 2009 12:15 am Go to last post
  16. High to Low waves route

    Hi all, Please to help me to have a Lisp route of Waves like shown on attached image, On the length to be assigned numbers of bays and must be 50mm on distance every bays, then the width...

    Started by Jhun Gonzalo‎, 12th Jun 2009 06:43 pm
    • Replies: 1
    • Views: 746
    12th Jun 2009 06:57 pm Go to last post
  17. Dimension Property Edit

    Alot of time I have to change dimension unit properties form Fractional to a 3 or 4 place decimal. The property tool pallete to annoing to me. I would like to write a routine to do this via keyboard....

    Started by bradb‎, 11th Jun 2009 06:32 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 3,326
    12th Jun 2009 05:24 pm Go to last post
  18. Question Join Multiline like polyline

    I draw two multiline in Similar Multiline Style. Now i like to join these two multiline which becomes single multiline, like polyline join. Is it possible.

    Started by dipcad‎, 11th Jun 2009 07:26 pm
    • Replies: 4
    • Views: 2,663
    12th Jun 2009 04:56 pm Go to last post
  19. Switch for layers

    Need macro or lisp that will keep only one of two layers on. If layer "APPROVED" is on layer "PRELIMINARY" is off and vice versa. Use AutoCAD 2002. Thank you.

    Started by mdbdesign‎, 5th Jun 2009 02:25 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 2,631
    12th Jun 2009 02:44 pm Go to last post
  20. help with a list

    I have this code, but I cant seem make it do that the surrounding box does not get drawn. I want it to prompt me to show the box or now, but what it does that I dont like it, if i select "no" do not...

    Started by MikeP‎, 11th Jun 2009 03:51 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,824
    12th Jun 2009 02:08 pm Go to last post
  21. Moving objects from one layer to another in 50+ drawings

    I've been tasked with a rather large monotonous job, and was hoping someone could help me out. I need to move objects from one layer to another using some predictable conditions and don't want to...

    Started by ABuckingham‎, 10th Jun 2009 10:03 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,214
    12th Jun 2009 02:04 pm Go to last post
  22. A new error & make a folder

    Ive being useing the program for quite some time. I wrote it early start of year, (thanks amsi for a tad of code) But all of a sudden it give's me a error. not as in an error error. but not doing...

    Started by flowerrobot‎, 9th Jun 2009 10:42 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 1,386
    12th Jun 2009 09:44 am Go to last post
  23. Question please double line lisp

    i have a network already drawn i want to convert one line to be two line as ----------------------------------------------------------- to ============================================== ...

    Started by Ahmed_10‎, 11th Jun 2009 09:52 pm
    • Replies: 3
    • Views: 1,484
    12th Jun 2009 12:23 am Go to last post
  24. Angry My VB.Net apps and scripts

    Sorry about this, but posting here because easier than going into every thread. Big appology to all who may be waiting for some software or scripts from me, but for reasons beyond my control I...

    Started by LCE‎, 18th Dec 2008 04:45 pm
    • Replies: 3
    • Views: 1,603
    11th Jun 2009 04:36 pm Go to last post
  25. Match Text - Text Switch

    I have this code to MATCH the text of Mtext, Text, Attributes ect.. (defun c:tw (/ cEnt mEnt) (if (and (setq cEnt (car (nentsel "\nSelect Source Text: "))) (member (cdr (assoc 0...

    Started by Zorg‎, 8th Jun 2009 10:14 am
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 3,577
    11th Jun 2009 08:18 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts